# Deprecated API

## Contents

- Classes
- Methods

Deprecated Classes
Class
Description
com.opensymphony.module.sitemesh.filter.PageFilter
Use `SiteMeshFilter` instead.
com.opensymphony.module.sitemesh.parser.FastPageParser
Use HTMLPageParser instead - it performs better and is more extensible.

Deprecated Methods
Method
Description
com.opensymphony.module.sitemesh.Page.getRequest()
Since Servlet 2.4 API, this is unnecessary - just use the stand HttpServletRequest instance.
com.opensymphony.module.sitemesh.taglib.page.ApplyDecoratorTag.setDecorator(String)
Use setName() instead.